Summary: Spanish files for aspell.
Name: aspell-es
Version: 0.2
Release: 13
Group: Applications/Text
Source: aspell-es-0.2.tar.bz2
License: GPL
Requires: aspell
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: aspell
Obsoletes: ispell-es, ispell-spanish

%description
This package contains a Spanish dictionary for use with aspell, a
spelling checker.

%prep
%setup -q

%build
cp %{_datadir}/aspell/iso8859-1.dat .

LC_CTYPE=es_ES aspell --lang=spanish --data-dir=. \
    create master ./spanish < words.spanish

%install
rm -fr $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aspell
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pspell

install -m 0644 spanish.dat $RPM_BUILD_ROOT%{_datadir}/aspell
install -m 0644 spanish $RPM_BUILD_ROOT%{_libdir}/aspell
ln -s spanish $RPM_BUILD_ROOT%{_libdir}/aspell/espaol
ln -s spanish $RPM_BUILD_ROOT%{_libdir}/aspell/castellano
ln -s spanish $RPM_BUILD_ROOT%{_libdir}/aspell/castellano8
echo "%{_libdir}/aspell/spanish" > $RPM_BUILD_ROOT%{_datadir}/pspell/es-aspell.pwli

%clean
rm -fr $RPM_BUILD_ROOT/

%files
%defattr(-,root,root)
%doc README
%{_libdir}/aspell/*
%{_datadir}/aspell/*
%{_datadir}/pspell/*

%changelog
* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 0.2-12
- Multlib, rebuild

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jun 14 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.2-10
- Rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Feb 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.2-8
- Rebuild

* Thu Jan 24 2002 Trond Eivind Glomsrd <teg@redhat.com> 0.2-7
- Rebuild

* Mon Aug 13 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Include %{_datadir}/pspell/es-aspell.pwli, so aspell can use this dictionary 
  as default when LANG=es (#50530)

* Mon Jul 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Add compat symlinks (castellano -> spanish), so menu entries in Emacs
  continue working (#49433)

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Tue May 01 2001 Bill Nottingham <notting@redhat.com>
- build on ia64

* Mon Dec 04 2000 Trond Eivind Glomsrd <teg@redhat.com>
- Got a new, fixed wordlist from romano@dea.icai.upco.es
  This should fix bug #21248

* Sun Aug 20 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Aug 16 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Tue Aug 01 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Jun 30 2000 Trond Eivind Glomsrd <teg@redhat.com>
- rebuild

* Sat Jun 24 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated build procedure
- create .pwli file

* Sat Jun 17 2000 Trond Eivind Glomsrd <teg@redhat.com>
- first RPM
